Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.container
Class TableContainer

    java.lang.Object
      org.maltparser.parser.history.container.TableContainer

Direct Known Subclasses:
  CombinedTableContainer

    public class TableContainer

extends Object

Author:
  Johan Hall

Nested Class Summary
`static class` | `TableContainer.RelationToNextDecision`

Field Summary
`protected int` | `cachedCode`
`protected StringBuilder` | `cachedSymbol`
`protected String` | `name`
`protected Table` | `table`

Constructor Summary
`TableContainer(Table table, String name, char decisionSeparator)`

Method Summary
`void` | `clearCache()`
`boolean` | `containCode(int code)`
`boolean` | `containSymbol(String symbol)`
`boolean` | `continueWithNextDecision(int code)`
`boolean` | `continueWithNextDecision(String symbol)`
`int` | `getCode(String symbol)`
`TableContainer.RelationToNextDecision` | `getRelationToNextDecision()`
`String` | `getSymbol(int code)`
`Table` | `getTable()`
`String` | `getTableContainerName()`
`String` | `getTableName()`
`protected void` | `setName(String name)`
`protected void` | `setTable(Table table)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cachedCode

    protected int cachedCode

### cachedSymbol

    protected final StringBuilder cachedSymbol

### table

    protected Table table

### name

    protected String name

Constructor Detail

### TableContainer

    public TableContainer(Table table,
                          String name,
                          char decisionSeparator)

Method Detail

### clearCache

    public void clearCache()

### getSymbol

    public String getSymbol(int code)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getCode

    public int getCode(String symbol)
                throws MaltChainedException

  Throws:
    `MaltChainedException`

### containCode

    public boolean containCode(int code)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### containSymbol

    public boolean containSymbol(String symbol)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### continueWithNextDecision

    public boolean continueWithNextDecision(int code)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### continueWithNextDecision

    public boolean continueWithNextDecision(String symbol)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getTable

    public Table getTable()

### getTableName

    public String getTableName()

### getTableContainerName

    public String getTableContainerName()

### getRelationToNextDecision

    public TableContainer.RelationToNextDecision getRelationToNextDecision()

### setTable

    protected void setTable(Table table)

### setName

    protected void setName(String name)

### size

    public int size()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.